- ugly gcc hack not needed.
[packages/rpm.git] / rpm.spec
CommitLineData
52c10eff 1#
2# TODO:
76f35df6
JB
3# - python(abi) cap is not provided automatically (because /usr/bin/python matches
4# ELF first; it should be provided by python-libs not binary anyway)
2aa60dc6
JB
5# - consider using system libmagic not internal libfmagic
6# (but internal has different method of passing output)
24123ddd 7# - after ac drop amd64 patch and make x86_64 generic arch + subarchs amd64 and ia32e
1d5ec46b 8#
89427592 9# Conditional build:
4adb7d05 10%bcond_with static # build static rpmi (not supported at the moment)
b2ae427d 11%bcond_without apidocs # don't generate documentation with doxygen
c814aff6 12%bcond_with pkgnameinautoreq # don't put package name in autogenerated dependancy
80b8a1f9 13%bcond_without python # don't build python bindings
c6abc173 14%bcond_without selinux # dont enable selinux support
89427592
JB
15# force_cc - force using __cc other than "%{_target_cpu}-pld-linux-gcc"
16# force_cxx - force using __cxx other than "%{_target_cpu}-pld-linux-g++"
17# force_cpp - force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"
54bfdf99 18
003a039e 19# versions of required libraries
c814aff6 20%define reqdb_ver 4.3.27-1
2065c1cd 21%define reqpopt_ver 1.10.1
0931d8ae 22%define beecrypt_ver 2:4.1.0
768878cd 23%define rpm_macros_rev 1.197
e5f02e49
AM
24Summary: RPM Package Manager
25Summary(de): RPM Packet-Manager
313a4d1a 26Summary(es): Gestor de paquetes RPM
609cc585 27